/*!
  * @yzcode/vue-devtool-vuex-z v0.0.6
  * (c) 2021 
  * @license MIT
  */
import { setupDevtoolsPlugin } from '@vue/devtools-api';

const stateType = 'store';
function setupDevtools(app, { store }) {
    setupDevtoolsPlugin({
        id: '@yzcode/vue-devtool-vuex-z',
        label: 'vue-devtool-vuex',
        packageName: '@yzcode/vue-devtool-vuex-z',
        homepage: 'my home',
        app,
        componentStateTypes: [stateType],
    }, (api) => {
        // api.addInspector({
        //   id: inspectorId,
        //   label: 'vuex',
        //   icon: 'pets',
        // });
        store.subscribe((mutation, state) => {
            console.log('通知');
            api.notifyComponentUpdate();
        });
        api.on.inspectComponent((payload, context) => {
            payload.instanceData.state.push({
                type: stateType,
                key: 'state',
                value: store.state,
            });
            payload.instanceData.state.push({
                type: stateType,
                key: 'gettters',
                value: store.getters,
            });
        });
    });
}
var index = {
    install(app, options) {
        // Our Vue plugin logic
        {
            setupDevtools(app, options);
        }
    },
};

export { index as default, setupDevtools };
