/*!
  * @yzcode/vue-devtool-vuex-z v0.0.6
  * (c) 2021 
  * @license MIT
  */
var YzcodeVueDevtoolVuexZ = (function (exports) {
    'use strict';

    function getDevtoolsGlobalHook() {
        return getTarget().__VUE_DEVTOOLS_GLOBAL_HOOK__;
    }
    function getTarget() {
        // @ts-ignore
        return typeof navigator !== 'undefined'
            ? window
            : typeof global !== 'undefined'
                ? global
                : {};
    }

    const HOOK_SETUP = 'devtools-plugin:setup';

    function setupDevtoolsPlugin(pluginDescriptor, setupFn) {
        const hook = getDevtoolsGlobalHook();
        if (hook) {
            hook.emit(HOOK_SETUP, pluginDescriptor, setupFn);
        }
        else {
            const target = getTarget();
            const list = target.__VUE_DEVTOOLS_PLUGINS__ = target.__VUE_DEVTOOLS_PLUGINS__ || [];
            list.push({
                pluginDescriptor,
                setupFn
            });
        }
    }

    const stateType = 'store';
    function setupDevtools(app, { store }) {
        setupDevtoolsPlugin({
            id: '@yzcode/vue-devtool-vuex-z',
            label: 'vue-devtool-vuex',
            packageName: '@yzcode/vue-devtool-vuex-z',
            homepage: 'my home',
            app,
            componentStateTypes: [stateType],
        }, (api) => {
            // api.addInspector({
            //   id: inspectorId,
            //   label: 'vuex',
            //   icon: 'pets',
            // });
            store.subscribe((mutation, state) => {
                console.log('通知');
                api.notifyComponentUpdate();
            });
            api.on.inspectComponent((payload, context) => {
                payload.instanceData.state.push({
                    type: stateType,
                    key: 'state',
                    value: store.state,
                });
                payload.instanceData.state.push({
                    type: stateType,
                    key: 'gettters',
                    value: store.getters,
                });
            });
        });
    }
    var index = {
        install(app, options) {
            // Our Vue plugin logic
            {
                setupDevtools(app, options);
            }
        },
    };

    exports['default'] = index;
    exports.setupDevtools = setupDevtools;

    Object.defineProperty(exports, '__esModule', { value: true });

    return exports;

}({}));
